Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.tags
Class CatalogSelectorTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.servlets.jsp.TagSupport
              com.beasys.commerce.ebusiness.catalog.tags.CatalogSelectorTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

public class CatalogSelectorTag
extends TagSupport

The tag handler of the catalog jsp extension tag 'catalogSelector'. The catalogtSelector tag allows personalized catalog items to be selected based on user profile.

See Also:
  Serialized Form

Field Summary
`protected String` | `id` To store the value of id attribute.
`protected String` | `selector` The name of the selector rule in the rule set.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`CatalogSelectorTag()`

Method Summary
`int` | `doStartTag()` Processes the start tag.
`protected ViewIterator` | `getCatalogItems()` Get the ViewIterator over catalog items.
`String` | `getId()` Gets the id to assign the results to.
`protected AdviceRequest` | `getRequest()` Returns a CatalogSelector AdviceRequest object after populating the following fields The current HTTP Request The current HTTP Session The current User A new TimeInstant A new Time A new Date A RULES_RULENAME_TO_FIRE A RULES_FILTER_CLASS_NAME
`String` | `getRule()` Get name of the selector rule in the ruleSet.
`void` | `release()` Reinitializes the instance data in this object.
`void` | `setId(String anId)` Sets the id to assign the results to.
`void` | `setRule(String aSelector)` Set name of the selector rule in the rule set.

Methods inherited from class com.bea.p13n.servlets.jsp.TagSupport
`createAdviceRequest, createAdvisor`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected String id

  To store the value of id attribute.

### selector

    protected String selector

  The name of the selector rule in the rule set.

Constructor Detail

### CatalogSelectorTag

    public CatalogSelectorTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Processes the start tag. Will set the 'id' to array of content objects found.

  Returns:
    The SKIP_BODY constant since this tag does not have a body.
  Throws:
    `JspException` - if an error. occurrs during content retrieval.

### getCatalogItems

    protected ViewIterator getCatalogItems()
                                    throws JspException

  Get the ViewIterator over catalog items.

  Returns:
    a ViewIterator over the CatalogItems.
  Throws:
    `JspException` - If unable to get advice or if incomplete advice is received.

### getId

    public String getId()

  Gets the id to assign the results to.

  Returns:
    The id for the results.

### getRequest

    protected AdviceRequest getRequest()
                                throws JspException

  Returns a CatalogSelector AdviceRequest object after populating the following fields
  - The current HTTP Request
  - The current HTTP Session
  - The current User
  - A new TimeInstant
  - A new Time
  - A new Date
  - A RULES_RULENAME_TO_FIRE
  - A RULES_FILTER_CLASS_NAME

  Returns:
    A CatalogSelector AdviceRequest.
  Throws:
    `JspException` - If there is a problem creating the request.

### getRule

    public String getRule()

  Get name of the selector rule in the ruleSet.

  Returns:
    String The name of the selector rule.

### release

    public void release()

  Reinitializes the instance data in this object.

### setId

    public void setId(String anId)

  Sets the id to assign the results to.

  Parameters:
    `anId` - The id for the results.

### setRule

    public void setRule(String aSelector)

  Set name of the selector rule in the rule set.

  Parameters:
    `aSelector` - The name of the selector rule.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved